package com.bonus.canteen.core.menu.entity;

import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

@TableName("menu_custom_dict")
@ApiModel("自定义id字典")
@Data
public class MenuCustomDict extends Model<MenuCustomDict> {
   private static final long serialVersionUID = 1L;
   @TableId
   @ApiModelProperty("主键id")
   private Long id;
   @ApiModelProperty("自定义id")
   private Integer customId;
   @ApiModelProperty("是否使用中(1-使用中,2-未使用)")
   private Integer ifUse;
   @ApiModelProperty("卡号是否使用中 1-使用中,2-未使用")
   private Integer ifCardNumUse;
   @ApiModelProperty("人员限制id是否使用中 1-使用中,2-未使用")
   private Integer ifCustLimitIdUse;

   public Long getId() {
      return this.id;
   }

   public Integer getCustomId() {
      return this.customId;
   }

   public Integer getIfUse() {
      return this.ifUse;
   }

   public Integer getIfCardNumUse() {
      return this.ifCardNumUse;
   }

   public Integer getIfCustLimitIdUse() {
      return this.ifCustLimitIdUse;
   }

   public void setId(final Long id) {
      this.id = id;
   }

   public void setCustomId(final Integer customId) {
      this.customId = customId;
   }

   public void setIfUse(final Integer ifUse) {
      this.ifUse = ifUse;
   }

   public void setIfCardNumUse(final Integer ifCardNumUse) {
      this.ifCardNumUse = ifCardNumUse;
   }

   public void setIfCustLimitIdUse(final Integer ifCustLimitIdUse) {
      this.ifCustLimitIdUse = ifCustLimitIdUse;
   }




}
